PostgreSQL

Postgres Pro Standard

Заказать Postgres Pro Standard
0 тг.
шт

Цена по запросу.

Postgres Pro -  Российская СУБД, разработанная компанией Postgres Professional на основе свободно-распространяемой СУБД PostgreSQL.

Очередная версия Postgres Pro Standard представляет собой актуальную версию PostgreSQL с наложенными на нее патчами для ядра PostgreSQL, которые уже приняты сообществом и закомичены в основную ветку, а также расширениями и патчами, разработанными Postgres Professional, и не затрагивающими основное ядро. Как правило, они уже выложены на коммитфест.

Таким образом, пользователи могут получить доступ к полезной для них функциональности и получить выигрыш в производительности, не дожидаясь нового релиза PostgreSQL (что может занимать примерно год).

Версии Postgres Pro

Номер версии Postgres Pro строится из номера версии PostgreSQL с дополнением одного разряда, обозначающего номер текущего выпуска. При выходе новой минорной версии PostgreSQL (обычно это происходит при появлении патчей, связанных с безопасностью и исправлением серьезных ошибок), нумерация Postgres Pro сбрасывается на единицу. Например, при выходе PostgreSQL 9.5.1 вышла PostgresPro 9.5.1.1, затем до появления PostgreSQL 9.5.2 может вышла Postgres Pro 9.5.1.2, а при выходе PostgreSQL 9.5.2 Postgres Pro обновился до версии 9.5.2.1 и т.д.

Одновременно с выпуском исходного кода Postgres Pro мы публикуем наши сборки в виде пакетов под различные платформы. Это следующие операционные системы и их версии:

AIX*,
Alt Linux 8,
Alt Linux Centaur 7,
Alt Linux СПТ 6/7,
Astra Linux Smolensk 1.5
CentOS 6/7,
Debian 7/8/9,
Goslinux 6,
Microsoft® Windows® XP, Vista, 7/8/10,
Microsoft® Windows® Server 2003/2008/2012/2016,
Oracle Linux,
RHEL 6/7,
ROSA DX Cobalt Server,
Rosa Enterprise Linux server,
ROSA Marathon LTS 2012,
ROSA SX Cobalt Server,
SUSE Linux Enterprise Server 11/12,
Ubuntu 12.04/14.04/16.04/16.10/17.04.

Базы данных Postgres Pro Standard 9.6.*.* совместимы с PostgreSQL 9.6.*; то же касается Postgres Pro Standard 9.5.*.* и PostgreSQL 9.5.*. При переходе с 9.5 и 9.6 dump/restore не требуется. При переходе с более ранних версий PostgreSQL необходимо использование dump/restore или pg_upgrade.